Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class RecipientKeyIdentifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.RecipientKeyIdentifier

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RecipientKeyIdentifier
extends ASN1Object

RFC 5652: Content encryption key delivery mechanisms.

RecipientKeyIdentifier ::= SEQUENCE { subjectKeyIdentifier SubjectKeyIdentifier, date GeneralizedTime OPTIONAL, other OtherKeyAttribute OPTIONAL } SubjectKeyIdentifier ::= OCTET STRING

Constructor Summary
`RecipientKeyIdentifier(ASN1OctetString subjectKeyIdentifier, ASN1GeneralizedTime date, OtherKeyAttribute other)`
`RecipientKeyIdentifier(byte[] subjectKeyIdentifier)`
`RecipientKeyIdentifier(byte[] subjectKeyIdentifier, ASN1GeneralizedTime date, OtherKeyAttribute other)`

Method Summary
`ASN1GeneralizedTime` | `getDate()`
`static RecipientKeyIdentifier` | `getInstance(ASN1TaggedObject ato, boolean isExplicit)` Return a RecipientKeyIdentifier object from a tagged object.
`static RecipientKeyIdentifier` | `getInstance(java.lang.Object obj)` Return a RecipientKeyIdentifier object from the given object.
`OtherKeyAttribute` | `getOtherKeyAttribute()`
`ASN1OctetString` | `getSubjectKeyIdentifier()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipientKeyIdentifier

    public RecipientKeyIdentifier(ASN1OctetString subjectKeyIdentifier,
                                  ASN1GeneralizedTime date,
                                  OtherKeyAttribute other)

### RecipientKeyIdentifier

    public RecipientKeyIdentifier(byte[] subjectKeyIdentifier,
                                  ASN1GeneralizedTime date,
                                  OtherKeyAttribute other)

### RecipientKeyIdentifier

    public RecipientKeyIdentifier(byte[] subjectKeyIdentifier)

Method Detail

### getInstance

    public static RecipientKeyIdentifier getInstance(ASN1TaggedObject ato,
                                                     boolean isExplicit)

  Return a RecipientKeyIdentifier object from a tagged object.

  Parameters:
    `ato` - the tagged object holding the object we want.
    `isExplicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static RecipientKeyIdentifier getInstance(java.lang.Object obj)

  Return a RecipientKeyIdentifier object from the given object.

  Accepted inputs: null → null `RecipientKeyIdentifier` object `ASN1Sequence` input formats with RecipientKeyIdentifier structure inside

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getSubjectKeyIdentifier

    public ASN1OctetString getSubjectKeyIdentifier()

### getDate

    public ASN1GeneralizedTime getDate()

### getOtherKeyAttribute

    public OtherKeyAttribute getOtherKeyAttribute()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD